Subject: Re: [Tools-discuss] RFC PDF crashes viewer
From: Erik Auerswald <[email-masked]>
To: [email-masked]
Date: Mon, 29 Jun 2020 20:17:39 +0200
List-Id: IETF Tools Discussion <tools-discuss.ietf.org>

Hi all,

as another data point, the AUTH48 versions of the PDF rendering of
RFC 8792 worked fine in evince.  Viewing them in MuPDF did not produce
any error or warning messages.

The published version of the PDF does crash evince, and produce error
and warning messages (as below) in MuPDF.

As an obvious difference between the two files, the published PDF
embeds the XML version of the RFC, while the AUTH48 versions did not.

Thanks,
Erik

On 26.06.20 22:32, Erik Auerswald wrote:
> Hi,
> 
> while MuPDF can open and display the file, it produces many instances of
> two  messages (one error, one warning):
> 
>      $ mupdf rfc8798.pdf
>      error: Unable to read ICC workflow
>      warning: Attempt to read Output Intent failed
>      [...]
> 
> For every page, a new burst of several instances of the above two messages
> is printed.
> 
> Firefox displays the PDF file.
> 
> The GNOME Document Viewer (evince) crashes.
> 
> There are other PDF renderings of RFCs that crash evince, e.g., RFCs 8651
> to 8655.  Those produce the same messages with MuPDF as RFC 8798, but MuPDF
> does display them.  Both Firefox's and Chrome's built-in PDF viewers can
> display those PDF renderings of RFCs.
> 
> I agree with Carsten that this is a bug in evince, but evince works fine
> for most PDF files out there, including many that Firefox cannot display
> correctly.  Since MuPDF produces error and warning messages, and evince
> crashes, it seems to me as if it were likely that the PDF versions of
> recent RFCs do have issues.
> 
> Thanks,
> Erik
> 
> On Fri, Jun 26, 2020 at 02:02:20PM -0400, Russ Housley wrote:
>> I just opened that file with three different viewers.  They all worked.
>>
>> Russ
>>
>>
>>> On Jun 26, 2020, at 11:44 AM, Carsten Bormann <[email-masked]> wrote:
>>>
>>> This is undoubtedly a bug in the viewer, but I have received a report the PDF viewer evince (tested with versions 3.30.2 and 3.36.5, i.e., newer than CVE-2019-1010006) crashes when trying to view:
>>>
>>> https://www.rfc-editor.org/rfc/rfc8798.pdf
>>>
>>> I have no further data at this time.
>>>
>>> Grüße, Carsten